alter procedure visitas.sp_guardar_visita
@txtTipoDocumento varchar(25),
@txtDocumento varchar(50),
@txtNombre varchar(500),
@txtDireccion text,
@txtFecha_nacimiento date,
@numSucursal int,
@numCluster int,
@txtPoligono varchar(5),
@numCasa varchar(10),
@txtMotivo varchar(150),
@txtIp varchar(25),
@dbResponse varchar(300) output
as
begin
	set nocount on;
	begin tran guardar
	begin try
		insert into visitas.datos_visitantes(sucursal,cluster,tipo_documento,numero_documento,nombre_completo,direccion,fecha_nacimiento,poligono,casa,motivo,ip_equipo) values(@numSucursal,@numCluster,@txtTipoDocumento,@txtDocumento,@txtNombre,@txtDireccion,@txtFecha_nacimiento,@txtPoligono,@numCasa,@txtMotivo,@txtIp);
		set @dbResponse = 'Datos guardados exitosamente';
		commit tran guardar
	end try
	begin catch
		set @dbResponse = 'Ocurrio un Error: ' + ERROR_MESSAGE( ) + ' en la línea ' + CONVERT ( NVARCHAR ( 255 ), ERROR_LINE( ) ) + '.';
		rollback tran guardar
	end catch
end